<mat-toolbar color="primary">
    <mat-toolbar-row>
        <button mat-icon-button (click)="toggleSideBar()">
            <mat-icon>menu</mat-icon>
        </button>

        <span> APP LOGO </span>

        <div fxFlex fxLayout="row" fxLayoutAlign="flex-end">
            <ul fxLayout="row" fxLayoutGap="20px">
                <li>
                    <button mat-icon-button (click)="changeTheme()">
                        <mat-icon>{{iconSymbol}}</mat-icon>
                        <!--
                        <mat-icon *ngIf="isDarkMode">light_mode</mat-icon>
                        <mat-icon *ngIf="!isDarkMode">brightness_3</mat-icon>
                        -->
                    </button>
                </li>
                <li>
                    <button mat-button [mat-menu-trigger-for]="settingsMenu">
                        <mat-icon>settings</mat-icon>
                    </button>
                    <mat-menu #settingsMenu="matMenu">
                        <button mat-menu-item routerLink="app-settings">
                            <mat-icon>settings_applications</mat-icon>
                            App Settings
                        </button>
                        <button mat-menu-item routerLink="user-settings">
                            <mat-icon>manage_accounts</mat-icon>
                            User Settings
                        </button>
                    </mat-menu>
                </li>
                <li>
                    <button mat-button [mat-menu-trigger-for]="usersMenu">
                        <mat-icon>person_outline</mat-icon>
                    </button>
                    <mat-menu #usersMenu="matMenu">
                        <button mat-menu-item routerLink="user-register">
                            <mat-icon>person_add</mat-icon>
                            Register
                        </button>
                        <button mat-menu-item routerLink="user-login">
                            <mat-icon>login</mat-icon>
                            Login
                        </button>
                        <button mat-menu-item routerLink="user-logout">
                            <mat-icon>logout</mat-icon>
                            Logout
                        </button>
                    </mat-menu>
                </li>
            </ul>
        </div>

    </mat-toolbar-row>
</mat-toolbar>